#!/bin/sh
#    $1 - Image Version (digit)
#    $2 - Image Description
#    $3 - directory where locate rootfs	
#    $4 - file_profile	

if [ "$4" != "" ]; then 
  . $4
fi

if [ "$1" == "" ]; then 
    img_ver=$IMAGE_VERSION 
else 
    img_ver=$1 
fi

if [ "$2" == "" ]; then
    img_desc=$IMAGE_DESCRIPTION
else
    img_desc=$2
fi

if [ "$3" == "" ]; then
    root_path=$ROOTFS_PATH     
else
    root_path=$3
fi

if [ "$KERNEL_PATH" == "" ]; then
    KERNEL_PATH=./uImzlib.img
fi

if [ "$RESULT_PATH" == "" ]; then
    RESULT_PATH=./imageupdate
fi

#echo "Make rootfs image $root_path"
#./mk_rfs.sh $root_path


# Append digital signature
echo "Append digital signature"
./mksign.sh ./sumsubfsnone.img ./sumsubfsnone.img.sign

# Make One Image
./make_imageupdate.sh $RESULT_PATH $KERNEL_PATH ./sumsubfsnone.img.sign $img_ver $img_desc
rm -f ./sumsubfsnone.img.sign
