#!/bin/sh

# Parameters:
# 	$1 - name file of kernel prepared mkimage
# 	$2 - name file of result

check_user_id() {

    if [ -z $MAG200_OP_KEY ]; then
        echo " "
        echo "    You must set envirment variable MAG200_OP_KEY"
        echo "        example: export MAG200_OP_KEY=STB_PUBLIC"
        echo " "
        exit 1
    fi
    gpg --list-keys $MAG200_OP_KEY > tmp.test
    param="if((\$1 == \"uid\")&&(\$2 == \"$MAG200_OP_KEY\")) {print \$2; exit; } "
    present_key=`awk {"$param"}  tmp.test`
    if [ -z "$present_key" ]; then
        echo ""
        echo "     Error: Key with USER_ID $MAG200_OP_KEY not present in gpg"
        echo "            Append in gpg default public key with USER_ID - STB_PUBLIC:"
        echo "            gpg --import ./stb_secbin.key "
        echo ""
	rm -f tmp.test
        return 1
    fi
    rm -f tmp.test
    return 0
}

check_user_id
if [ "$?" -ne "0" ]; then
    exit 1
fi

rm   -f $1.sig
gpg --pgp6 -u $MAG200_OP_KEY --detach-sign $1
if [ "$?" -ne "0" ]; then
 echo "Error make digital signature."
 rm -f $1.sig
 exit 1
fi
cat $1 > $2
./dsign -a -i $1.sig $2
if [ "$?" -ne "0" ]; then
 echo "Error append digital signature."
 rm -f $1.sig $2
 exit 1
fi
rm  -f $1.sig 
echo "File $2 create - successfully!!!"
